import Image
import ImageFont
import ImageDraw

import gameduino.prep as gdprep

def bounds(im):
    s = [(x,y) for x in range(im.size[0]) for y in range(im.size[1]) if im.getpixel((x,y))]
    xs = [x for (x,y) in s]
    ys = [y for (x,y) in s]
    return (min(xs), min(ys), max(xs) + 1, max(ys) + 1)

font = ImageFont.truetype("Eurostile_Bold.ttf", 32);
im = Image.new("L", (32*8,32*8))
for i in range(64):
    if 0 < i:
        ch = chr(ord(" ") + i)
        patch = Image.new("L", (32,32), 0)
        draw = ImageDraw.Draw(patch)
        (w, h) = font.getsize(ch)
        print ch,(w,h)
        draw.text((16.0 - w/2, 0), ch, font=font, fill=255)
        x = (i % 8) * 32
        y = (i / 8) * 32
        im.paste(patch, (x, y))

# im = im.resize((im.size[0] * 2, im.size[1]), Image.BICUBIC)
im = im.convert('P', palette=Image.ADAPTIVE, colors=4).convert("RGB")
im.save("eurostile.png")
# (dpic,dchr,dpal) = gdprep.encode(im)
# print max(dpic)
